package com.ygtx.gxt.domain.vo;

import com.ygtx.common.annotation.Excel;

import java.math.BigDecimal;

/**
 * 用户月度评分统计表对象 gxt_user_score
 * 
 * @author ruoyi
 * @date 2025-11-03
 */
public class GxtCompanyRankingVo
{
    @Excel(name = "排名")
    private Integer rank;

    @Excel(name = "名字")
    private String name;

    @Excel(name = "场站")
    private String station;

    /** 最终评分 */
    @Excel(name = "工分")
    private BigDecimal finalScore;

    /** 统计月份(YYYY-MM) */
    @Excel(name = "统计时段")
    private String monthPeriod;

    public Integer getRank() {
        return rank;
    }

    public void setRank(Integer rank) {
        this.rank = rank;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStation() {
        return station;
    }

    public void setStation(String station) {
        this.station = station;
    }

    public BigDecimal getFinalScore() {
        return finalScore;
    }

    public void setFinalScore(BigDecimal finalScore) {
        this.finalScore = finalScore;
    }

    public String getMonthPeriod() {
        return monthPeriod;
    }

    public void setMonthPeriod(String monthPeriod) {
        this.monthPeriod = monthPeriod;
    }
}